Debian Bug report logs - #673790
broken: doesn’t use the python-prettytable >= 0.6 API

version graph

Package: python-cloudservers; Maintainer for python-cloudservers is Soren Hansen <soren@ubuntu.com>; Source for python-cloudservers is src:python-cloudservers.

Reported by: Florent Fourcot <florent.fourcot@resel.fr>

Date: Mon, 21 May 2012 13:33:03 UTC

Severity: serious

Tags: patch

Fixed in version python-cloudservers/1.1-1.2

Done: Sebastian Ramacher <sramacher@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Mon, 21 May 2012 13:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florent Fourcot <florent.fourcot@resel.fr>:
New Bug report received and forwarded. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 21 May 2012 13:33:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Florent Fourcot <florent.fourcot@resel.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Broken API on new version
Date: Mon, 21 May 2012 15:20:56 +0200
Package: python-prettytable
Version: 0.6-1
Severity: grave

The new version of python-prettytable use an other API than the 0.5.
Extract of the changelog: 
* Replaced all setter methods with managed attributes

The new API breaks old script and has border effect on other applications
like weboob (http://packages.debian.org/sid/weboob). The example script is 
broken too:

$ python /usr/share/doc/python-prettytable/examples/prettytable-example.py 
Traceback (most recent call last):
  File "/usr/share/doc/python-prettytable/examples/prettytable-example.py", line 20, in <module>
    main()
  File "/usr/share/doc/python-prettytable/examples/prettytable-example.py", line 9, in main
    x.set_field_align("City name", "l") # Left align city names
  File "/usr/lib/pymodules/python2.7/prettytable.py", line 163, in __getattr__
    raise AttributeError(name)
AttributeError: set_field_align

Please consider to warn users about changes, or to provide compatibility with old 
versions. Upstream doesn't provide release note to help the upgrade.


-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages python-prettytable depends on:
ii  python          2.7.2-10
ii  python-support  1.0.14

python-prettytable recommends no packages.

python-prettytable suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Mon, 21 May 2012 18:12:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sandro Tosi <morph@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 21 May 2012 18:12:02 GMT) Full text and rfc822 format available.

Message #10 received at 673790@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Florent Fourcot <florent.fourcot@resel.fr>, 673790@bugs.debian.org, control@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#673790: Broken API on new version
Date: Mon, 21 May 2012 20:09:28 +0200
severity 673790 normal
thanks

Hello,

On Mon, May 21, 2012 at 3:20 PM, Florent Fourcot
<florent.fourcot@resel.fr> wrote:
> The new version of python-prettytable use an other API than the 0.5.
> Extract of the changelog:
> * Replaced all setter methods with managed attributes
>
> The new API breaks

this is somehow possible for 0.* modules/libraries.

> The example script is
> broken too:
>
> $ python /usr/share/doc/python-prettytable/examples/prettytable-example.py
> Traceback (most recent call last):
>  File "/usr/share/doc/python-prettytable/examples/prettytable-example.py", line 20, in <module>
>    main()
>  File "/usr/share/doc/python-prettytable/examples/prettytable-example.py", line 9, in main
>    x.set_field_align("City name", "l") # Left align city names
>  File "/usr/lib/pymodules/python2.7/prettytable.py", line 163, in __getattr__
>    raise AttributeError(name)
> AttributeError: set_field_align

this has been fixed in svn

> Please consider to warn users about changes, or to provide compatibility with old
> versions. Upstream doesn't provide release note to help the upgrade.

I was working with upstream to release also documentation along with
the code. it should have been done with 0.6 release but there were
some problems. Next will have upstream doc with it, I'll close this
bug at that time.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi




Severity set to 'normal' from 'grave' Request was from Sandro Tosi <morph@debian.org> to control@bugs.debian.org. (Mon, 21 May 2012 18:12:05 GMT) Full text and rfc822 format available.

Reply sent to Sandro Tosi <morph@debian.org>:
You have taken responsibility. (Wed, 29 Aug 2012 19:27:05 GMT) Full text and rfc822 format available.

Notification sent to Florent Fourcot <florent.fourcot@resel.fr>:
Bug acknowledged by developer. (Wed, 29 Aug 2012 19:27:05 GMT) Full text and rfc822 format available.

Message #17 received at 673790-done@bugs.debian.org (full text, mbox):

From: Sandro Tosi <morph@debian.org>
To: Florent Fourcot <florent.fourcot@resel.fr>, 673790-done@bugs.debian.org
Subject: Re: [Python-modules-team] Bug#673790: Broken API on new version
Date: Wed, 29 Aug 2012 21:22:03 +0200
On Mon, May 21, 2012 at 8:09 PM, Sandro Tosi <morph@debian.org> wrote:
> I was working with upstream to release also documentation along with
> the code. it should have been done with 0.6 release but there were
> some problems. Next will have upstream doc with it, I'll close this
> bug at that time.

I'm closing it now, no need to wait.

Regards,
-- 
Sandro Tosi (aka morph, morpheus, matrixhasu)
My website: http://matrixhasu.altervista.org/
Me at Debian: http://wiki.debian.org/SandroTosi



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Wed, 29 Aug 2012 20:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Flo <florent.fourcot@resel.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Wed, 29 Aug 2012 20:27:03 GMT) Full text and rfc822 format available.

Message #22 received at 673790@bugs.debian.org (full text, mbox):

From: Flo <florent.fourcot@resel.fr>
To: 673790@bugs.debian.org
Subject: Re: Bug#673790 closed by Sandro Tosi
Date: Wed, 29 Aug 2012 22:14:42 +0200
Hi,

> I'm closing it now, no need to wait.

I did not understand, do you really think that the package is ready for 
an acceptable upgrade to wheezy? There are still no warning message by 
upgrade, and no documentation is provided.

Regards,

-- 
Florent.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Fri, 31 Aug 2012 15:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 31 Aug 2012 15:33:06 GMT) Full text and rfc822 format available.

Message #27 received at 673790@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Flo <florent.fourcot@resel.fr>, 673790@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#673790: closed by Sandro Tosi
Date: Fri, 31 Aug 2012 17:28:41 +0200
[Message part 1 (text/plain, inline)]
reopen 673790
found 673790 0.6-1
severity 673790 serious
thanks

Flo <florent.fourcot@resel.fr> (29/08/2012):
> I did not understand, do you really think that the package is ready
> for an acceptable upgrade to wheezy? There are still no warning
> message by upgrade, and no documentation is provided.

Having incompatible changes, knowingly breaking packages in main, isn't
something that looks acceptable. Restoring severity and reopening.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reopened Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2012 15:33:08 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'normal' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Fri, 31 Aug 2012 15:33:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Fri, 31 Aug 2012 16:27:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Florent Fourcot <florent.fourcot@resel.fr>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Fri, 31 Aug 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #36 received at 673790@bugs.debian.org (full text, mbox):

From: Florent Fourcot <florent.fourcot@resel.fr>
To: 673790@bugs.debian.org
Subject: Re: Bug#673790: closed by Sandro Tosi
Date: Fri, 31 Aug 2012 18:24:28 +0200
Hi,

for information, the (probably not exhaustive) list of affected package is:
 * weboob for version < 0.d (0.c in Debian, also, break Debian version).
 * python-cloudservers (file cloudservers/shell.py, use obsolete printt)
 * python-novaclient/python-keystoneclient < 1:2012.1-2.


And there are some others side effects in this HowTo:
http://wiki.debian.org/OpenStackHowto

Regards,

-- 
Florent.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Sat, 24 Nov 2012 15:06:43 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominik George <nik@naturalnet.de>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Sat, 24 Nov 2012 15:06:43 GMT) Full text and rfc822 format available.

Message #41 received at 673790@bugs.debian.org (full text, mbox):

From: Dominik George <nik@naturalnet.de>
To: 673790@bugs.debian.org
Subject: Status update?
Date: Sat, 24 Nov 2012 16:06:05 +0100 (CET)
Hi,

I stumvled upon this bug report during the BSP in Essen.

What is the current state? I did one obvious test and found that in 
testing, the example script works.

Does this issue still break other packages? Please report un an 
understandable manner what is still broken and what isn't.

-nik



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>:
Bug#673790; Package python-prettytable. (Mon, 03 Dec 2012 00:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Stapelberg <stapelberg@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>. (Mon, 03 Dec 2012 00:03:03 GMT) Full text and rfc822 format available.

Message #46 received at 673790@bugs.debian.org (full text, mbox):

From: Michael Stapelberg <stapelberg@debian.org>
To: Dominik George <nik@naturalnet.de>
Cc: 673790@bugs.debian.org, control@bugs.debian.org, Thomas Goirand <zigo@debian.org>
Subject: Re: Status update?
Date: Mon, 3 Dec 2012 01:01:03 +0100
reassign 673790 python-cloudservers
retitle 673790 broken: doesn’t use the python-prettytable >= 0.6 API
thanks

On Sat, 24 Nov 2012 16:06:05 +0100 (CET)
Dominik George <nik@naturalnet.de> wrote:
> What is the current state? I did one obvious test and found that in 
> testing, the example script works.
Yes, due to the 0.6.1-1 upload, which contains the following changelog
entry:

debian/prettytable-example.py
     - update for new 0.6 release

> Does this issue still break other packages? Please report un an 
> understandable manner what is still broken and what isn't.

Following up on message #36:

• weboob is fixed in 0.c-4.1
• python-novaclient is fixed in 1:2012.1-2
• python-keystoneclient is fixed in 2012.1-2
• python-cloudservers: still broken (from looking at the code and
  trying to run shell.py:print_list())

I am re-assigning this bug to python-cloudservers as it is the only
remaining package which is broken. The only alternative, which is
changing python-prettytables to include compatiblity code is a
non-trivial task AFAICT.

Thomas: Since you have previously NMU'd python-cloudservers, could you
maybe have a look at it and port it to the new API? If not, please tell
me ASAP so that we can move forward in some other way :-).

-- 
Best regards,
Michael



Bug reassigned from package 'python-prettytable' to 'python-cloudservers'. Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2012 00:03:09 GMT) Full text and rfc822 format available.

No longer marked as found in versions prettytable/0.6-1. Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2012 00:03:09 GMT) Full text and rfc822 format available.

Changed Bug title to 'broken: doesn’t use the python-prettytable >= 0.6 API' from 'Broken API on new version' Request was from Michael Stapelberg <stapelberg@debian.org> to control@bugs.debian.org. (Mon, 03 Dec 2012 00:03:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#673790; Package python-cloudservers. (Mon, 03 Dec 2012 15:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Goirand <zigo@debian.org>:
Extra info received and forwarded to list. Copy sent to Soren Hansen <soren@ubuntu.com>. (Mon, 03 Dec 2012 15:03:06 GMT) Full text and rfc822 format available.

Message #57 received at 673790@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 673790@bugs.debian.org, Soren Hansen <soren@ubuntu.com>
Subject: Should we even keep python-cloudservers in Wheezy?
Date: Mon, 03 Dec 2012 22:58:09 +0800
Hi,

Rackspace has started to switch everything to Openstack, starting the
new service last April. All new customers are now using Openstack
instead of their old proprietary compute service. If I remember well,
their plan is to help every customer to move to Openstack, and they
hoped to have everyone migrated within a year.

So, it is my opinion that if nobody fixes python-cloudservers, it
shouldn't be so much of a big deal to have it removed from Wheezy.
People still running on the old Rackspace cloud could still get the
version from Squeeze, and Squeeze will anyway be maintain for a year
after Wheezy is out.

Soren, what do you think? Do you agree with the above? Or do you think
you can, and want, to continue maintain python-cloudservers for the life
of Wheezy?

Cheers,

Thomas Goirand (zigo)

P.S: I agree that downgrading python-prettytable in Wheezy would be a
pretty bad move at this time.



Information forwarded to debian-bugs-dist@lists.debian.org, Soren Hansen <soren@ubuntu.com>:
Bug#673790; Package python-cloudservers. (Mon, 24 Dec 2012 14:18:03 GMT) Full text and rfc822 format available.

Message #60 received at 673790@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: 673790@bugs.debian.org
Subject: python-cloudservers: diff for NMU version 1.1-1.2
Date: Mon, 24 Dec 2012 15:15:17 +0100
[Message part 1 (text/plain, inline)]
Control: tags -1 + patch pending

Dear maintainer,

I've prepared an NMU for python-cloudservers (versioned as 1.1-1.2) and
uploaded it to DELAYED/2. Please feel free to tell me if I
should delay it longer.

Regards.
-- 
Sebastian Ramacher
[python-cloudservers-1.1-1.2-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending and patch. Request was from Sebastian Ramacher <sramacher@debian.org> to 673790-submit@bugs.debian.org. (Mon, 24 Dec 2012 14:18:03 GMT) Full text and rfc822 format available.

Reply sent to Sebastian Ramacher <sramacher@debian.org>:
You have taken responsibility. (Wed, 26 Dec 2012 14:36:03 GMT) Full text and rfc822 format available.

Notification sent to Florent Fourcot <florent.fourcot@resel.fr>:
Bug acknowledged by developer. (Wed, 26 Dec 2012 14:36:03 GMT) Full text and rfc822 format available.

Message #67 received at 673790-close@bugs.debian.org (full text, mbox):

From: Sebastian Ramacher <sramacher@debian.org>
To: 673790-close@bugs.debian.org
Subject: Bug#673790: fixed in python-cloudservers 1.1-1.2
Date: Wed, 26 Dec 2012 14:32:43 +0000
Source: python-cloudservers
Source-Version: 1.1-1.2

We believe that the bug you reported is fixed in the latest version of
python-cloudservers, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 673790@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sebastian Ramacher <sramacher@debian.org> (supplier of updated python-cloudservers package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Mon, 24 Dec 2012 15:10:46 +0100
Source: python-cloudservers
Binary: python-cloudservers
Architecture: source all
Version: 1.1-1.2
Distribution: unstable
Urgency: low
Maintainer: Soren Hansen <soren@ubuntu.com>
Changed-By: Sebastian Ramacher <sramacher@debian.org>
Description: 
 python-cloudservers - client library for Rackspace's Cloud Servers API
Closes: 673790
Changes: 
 python-cloudservers (1.1-1.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * debian/patches/673790.patch: Fix usage of prettytable. prettytable 0.6
     changed the API. (Closes: #673790)
   * debian/control: Bump python-prettytable (Build-)Depends to >= 0.6.
Checksums-Sha1: 
 4645a54aaafaefe46945012be47496050f497b6d 1936 python-cloudservers_1.1-1.2.dsc
 80cb615cb1e668cf120552136d80baffed5a01ea 6127 python-cloudservers_1.1-1.2.debian.tar.gz
 db4af8545b64d59fbb6353f118670d3f3c7c0490 19150 python-cloudservers_1.1-1.2_all.deb
Checksums-Sha256: 
 7b771a40e3edc4d2905456b744ad6a95c12903fd186475eef7e951166173ca77 1936 python-cloudservers_1.1-1.2.dsc
 ce007d32815e11d173979ac67c4fa3c3896d85223a6dd0325e2cc3591d8b0554 6127 python-cloudservers_1.1-1.2.debian.tar.gz
 877503febcec707276522c5a015490b30425cce27f536f5a946ccc786df38142 19150 python-cloudservers_1.1-1.2_all.deb
Files: 
 cfb39a869593b98de82b4c64ded12c9f 1936 python optional python-cloudservers_1.1-1.2.dsc
 7cbdf0f78ab87b20ba60be504d2d2be5 6127 python optional python-cloudservers_1.1-1.2.debian.tar.gz
 7ff87d8c59e1861608d8135589c3f62f 19150 python optional python-cloudservers_1.1-1.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQ2GMRAAoJEGny/FFupxmTW4sQAJzGNjOUAdyWklYNFjiFRLeT
vNFgwi35t52qDlgtsmYZmBanUjKprCroITbD2B/NaFsspYW091fhe60fC5OdprgQ
GxluEc3CdrIhbC+TBzk+MrfSQmmtr/CG1dod/KFqdkzEky70zJVZDQCydW3Zri/m
I1EHqXtfYCWMjL7nYIpASZp+NEL0hPFX/hqHInVJLdw/xFKSUcDpfG2yx3L8iKom
hcvD85+ecdQ3yipc/0guFUmV9aEfIEpFplGruDPkpWP43qztR4zYdZT7qhPyuf+w
l3vh+xMiYaDsJwL/+BRops+8PE0ytaaAk12ZrcYGblIaIxNv/6dEWN+W9IpFzxX0
9l1+JqOKgM+Pgjkp8PhBHBxPLTJUv2Nb6s9oABFihEzNOutnj6JcuHsbGxXSwHkW
TOpNuIk4Jyd1Z/wEoTyB/YP4doCr/WzkcpViXkr/1Jlu0TUH0P1xNuYzzV8KfILO
xDn2b8FX2loe9btN0/vkrxoV6ykeNxDf2JNOPl+lx97D0Ev2xvvWTtieBQvd8Fo0
N3Og+fr4JX0xQDN/yiNUzh29Tn9DnhmnyrjtLmfwsiBf39o6wrzWfilZyvXw7zbM
6acZe86nWptiTtnamYaKhx7gvl+I4RzcaAmIljPrg0FMl6AhwqdR8yPGIUMhomv7
6OyB7DyjdqaluslIvUsu
=QwHA
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 02 Jun 2013 08:27:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 16:31:36 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.